import { StackedSeriesBaseDescription } from "./StackedSeriesBaseDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class HorizontalStackedSeriesBaseDescription extends StackedSeriesBaseDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private cs;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private ct;
    get yAxisRef(): string;
    set yAxisRef(a: string);
}
